---
title: Check rail
slug: apis/lending/loan-funding-payment-rails/check-rail
description: Issue mailed checks as a funding rail via PUT /FundingInfo (include check fields and optional base64 PDF attachment).
docTags: 
createdAt: 2024-08-14T11:43:24.612Z
---

## Transfer funds by check

To pay down loan proceeds, you can transfer funds by sending a physical check to the borrower or a biller (merchant or business). This is useful when you have to pay billers that do not accept payments via Mastercard RPPS.

You can add an optional Base64 encoded attachment to accompany the check, and it will be mailed as a PDF.

## Check delivery

After a check is issued, it takes about 5 - 7 business days for receipt (Cross River uses USPS first class mail). If a check is not cashed after 15 calendar days, it is canceled. The delivery method and expiration period can be configured differently for your needs.&#x20;

You can call the [Return rails](docId\:cQnvaS7kTizOjddJIbThO) API to stop payment on a check and log on to the [Lending Web Application](https://lendingapp.crbcos.com) (from a [whitelisted IP](docId\:z3wbkvnCkkie3kEJtxLI9)) for any information regarding the check.&#x20;

Webhooks are reported when a check is processed, mailed, tracking information is added, check is cashed, or it expires. For more information on webhooks,  [view webhook events available](docId\:ZKxAN6DslZSy0tVIrJFiZ).

:::hint{type="warning"}
**IMPORTANT**
When you add a date field in a request, the format must be: yyyy-mm-dd, such as 1970-12-05.
:::

## Request parameters

```json
{
{
  "FundingInfoUpdate": {
   "Rails": [
         {    
    "CheckFields": {
          "PhysicalAddressOfRecipient": {
            "Line_1": "Anita Loan",
            "Line_2": "Strawberry Fields Lane",
            "City": "Paradise City",
            "State": "NY",
            "Zip": "11252",
            "Country": "USA"
          },
          "Name": "Anita",
          "Attachment": "{Encoded64 text here}",
          "Description": "Loan from Cross River",
          "Remittance_advice": "",
          "IsPrintedandMailed": "0",
          "CheckEmail": "anita@gmail.com"
        },
"RailType":"CHECK",
"Priority":1,
"Amount":200.0
}
    ]
  }
},
```

## Request parameters

| Attribute                               | Description                                                                                                                                                                                                                                                  |
| --------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Rails`<br />array                      | Rail selected, in this case `Check`                                                                                                                                                                                                                          |
| `Line_1`<br />string                    | Check delivery address, line 1.<br />60 character limit if line\_2 is provided.<br />120 characters max length, if line\_2 is not provided.<br /><font color="#eb144c">Required </font>                                                                      |
| `Line_2`<br />string                    | Check delivery address, line 2.<br />60 character limit.<br /><font color="#0F766E">Optional </font>                                                                                                                                                         |
| `City`<br />string                      | City of business for check delivery.<br /><font color="#eb144c">Required </font>                                                                                                                                                                             |
| `State`<br />string<br />               | State of business for check delivery. 2 letters.<br /><font color="#eb144c">Required </font>                                                                                                                                                                 |
| `Zip`<br />string                       | ZIP code of business for check delivery.<br /><font color="#eb144c">Required </font>                                                                                                                                                                         |
| `Country`<br />string                   | Recipient's country. Always US.<br />2-letter country code.<br /><font color="#0F766E">Optional </font>                                                                                                                                                      |
| `Name`<br />string                      | Name of the borrower<br />48 character limit<br /><font color="#eb144c">Required</font>                                                                                                                                                                      |
| `Description`<br />string               | The name of the loan being paid. This is printed on the check and looks best if under 100 chars.<br /><font color="#0F766E">Optional </font>                                                                                                                 |
| `Attachment`<br />string                | Base64 encoded (see below 1 page PDF).<br />It must be encoded and inserted here as text.<br /><font color="#0F766E">Optional </font>                                                                                                                        |
| `Remittance_advice`<br />array          | Base64 encoded text.<br />Up to 700 chars before encoding. Appears on the top third of the page.<br />The check is located on the bottom third of the page.<br />Line breaks and special characters are allowed.<br /><font color="#0F766E">Optional </font> |
| `IsPrintedandMailed`<br />boolean<br /> | Whether the check is being printed and mailed.<br />True if check is being printed and mailed, otherwise, false.<br /><font color="#eb144c">Required</font>                                                                                                  |
| `CheckEmail`<br />string                | Recipient's email.<br /><font color="#0F766E">Optional </font>                                                                                                                                                                                               |
| `Priority`<br />integer                 | Rail priority<br /><font color="#eb144c">Required </font>                                                                                                                                                                                                    |
| `Amount`<br />integer                   | Amount being funded.<br /><font color="#eb144c">Required </font>                                                                                                                                                                                             |

## Attachments

:::hint{type="info"}
If your team utilizes our inserts with checks feature, please make sure you follow the requirements listed below (see `Attachment` attribute). Inserts must be in PDF format.
:::

### These are the requirements for creating your PDF:

- **TrueType fonts must be used**.
- 8.5 x 11 margins are required. Any margins that are smaller or larger than this will not run properly through our programs.
- PDF must be created by Adobe Version 1.4 or better.
- PDF must be in portrait orientation. Inserts oriented in landscape may not print correctly.
- All security on PDF must be removed. PDF can not have edit restriction locks and can not be password protected.
- PDF must be able to display the full page on “actual size” print settings. If an insert is too large to print on the “actual size” setting, the insert will not print properly and the page may be cut off.
- The insert must have all settings embedded/flattened. Fillable form PDF’s that are not embedded cannot be processed correctly and will be rendered blank.
- The blue shaded area shown below should be kept clear. This area is where 2D barcodes are placed.

::Image[]{src="https://api.archbee.com/api/optimize/HCIek7I0UxvyNHQ0EFzVX-wyWDJ-Qj1y44gigKRs-yZ-20240814-114655.png" size="42" width="107" height="117" position="flex-start" darkWidth="107" darkHeight="117" showCaption="false"}

## Postage Fees

Listed fees are postal rates; the bank may add a surcharge.

| **Postage Method**                                 | **Fee** |
| -------------------------------------------------- | ------- |
| USPS First Class - US&#xD;<br />&#xD;              | $0.78   |
| FedEx Express 2 Day&#xD;<br />&#xD;                | $14.86  |
| USPS Certified Mail&#xD;<br />&#xD;                | $10.54  |
| FedEx Express Overnight&#xD;<br />&#xD;            | $30.00  |
| FedEx Priority Overnight&#xD;<br />&#xD;           | $40.00  |
| USPS Overnight&#xD;<br />&#xD;                     | $45.49  |
| USPS Priority "2 day" (delivery confirmation)&#xD; | $18.82  |
| USPS Priority "2 day" (signature required)&#xD;    | $21.32  |



